Re: [gentoo-dev] Last rites: dev-java/oracle-{jdk,jre}-bin and revdeps

2020-09-19 Thread Georgy Yakovlev
took a while, removed.

I was able to save jabref-bin, works fine with openjdk:8
geogebra now availabie as geogebra-bin and works with openjdk8 and 11.
sleuthkit was spared.

rest is gone, but if someone wants to restore - patches welcome.


On 4/18/20 9:10 PM, Georgy Yakovlev wrote:
> # Georgy Yakovlev  (2020-04-18)
> # Unmaintained, vulnerable oracle java ebuilds, even fetching distfiles
> # requires agreement to restrictive license
> # Revdeps that still depend on oracle variants require javafx
> # Please use icedtea or openjdk instead.
> # Removal in 30 days.
> # https://bugs.gentoo.org/681828
> dev-java/oracle-jdk-bin
> dev-java/oracle-jre-bin
> app-forensics/sleuthkit
> app-text/jabref-bin
> dev-java/netbeans-platform
> dev-java/netbeans-harness
> games-util/pogo-manager-bin
> net-p2p/bisq
> sci-mathematics/geogebra
> 
> 
> 
> Oracle java has been maintainer-needed since august 2019,
> no one stepped up.
> Removal in 30 days.
> 
> If someone wants to save the javafx revdeps, best way will be
> packaging zulufx community [1], I can provide some guidance
> on packaging it, should not be too hard.
> 




Re: [gentoo-dev] Last rites: dev-java/oracle-{jdk,jre}-bin and revdeps

2020-04-19 Thread Georgy Yakovlev
On Sun, 19 Apr 2020 11:30:25 +0200
"Haelwenn (lanodan) Monnier"  wrote:

> [2020-04-18 21:10:45-0700] Georgy Yakovlev:
> > # Georgy Yakovlev  (2020-04-18)
> > # Unmaintained, vulnerable oracle java ebuilds, even fetching distfiles
> > # requires agreement to restrictive license
> > # Revdeps that still depend on oracle variants require javafx
> > # Please use icedtea or openjdk instead.
> > # Removal in 30 days.
> > # https://bugs.gentoo.org/681828
> > dev-java/oracle-jdk-bin
> > dev-java/oracle-jre-bin
> > app-forensics/sleuthkit
> > app-text/jabref-bin
> > dev-java/netbeans-platform
> > dev-java/netbeans-harness
> > games-util/pogo-manager-bin
> > net-p2p/bisq
> > sci-mathematics/geogebra
> 
> The mask on app-forensics/sleuthkit seems to be faulty/overkill: 
> optionally depends on java, only uses oracle-jdk on 4.7.0.
> 
Thanks! my grep misfired.
I removed it from package.mask, and masked java useflag for 4.7.0 instead.


-- 
Georgy Yakovlev 


pgpAH_4mWfNs3.pgp
Description: PGP signature


Re: [gentoo-dev] Last rites: dev-java/oracle-{jdk,jre}-bin and revdeps

2020-04-19 Thread Haelwenn (lanodan) Monnier
[2020-04-18 21:10:45-0700] Georgy Yakovlev:
> # Georgy Yakovlev  (2020-04-18)
> # Unmaintained, vulnerable oracle java ebuilds, even fetching distfiles
> # requires agreement to restrictive license
> # Revdeps that still depend on oracle variants require javafx
> # Please use icedtea or openjdk instead.
> # Removal in 30 days.
> # https://bugs.gentoo.org/681828
> dev-java/oracle-jdk-bin
> dev-java/oracle-jre-bin
> app-forensics/sleuthkit
> app-text/jabref-bin
> dev-java/netbeans-platform
> dev-java/netbeans-harness
> games-util/pogo-manager-bin
> net-p2p/bisq
> sci-mathematics/geogebra

The mask on app-forensics/sleuthkit seems to be faulty/overkill: 
optionally depends on java, only uses oracle-jdk on 4.7.0.